Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87463 - redhat-config-network stop dhcp (ethernet connection) and start static ip address (ethernet connection)
Summary: redhat-config-network stop dhcp (ethernet connection) and start static ip ad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-27 05:54 UTC by Need Real Name
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-05 14:14:34 UTC


Attachments (Terms of Use)
redhat-config-network error dump file (deleted)
2003-03-27 05:57 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-03-27 05:54:25 UTC
Description of problem:
If I configure redhat-network-config for dhcp use it works fine, until I try to 
change it to static ip address. When I reinstall and set to static from the
start it works fine, then as well as long as I don't switch to dhcp and then 
later attempt to switch back to static ip address.

Version-Release number of selected component (if applicable):


How reproducible:

Every time without fail.

Steps to Reproduce:
1.Use redhat-network-config to set up dhcp for ethernet connection
2.At any later time delete that ethernet connection and add a new one only
this time use static ip address (yes all fields are filled in correctly, in as
much as the static ip address works just fine if I never set dhcp)
3.attempt to apply and you will receive (or I received) an error message stating 
that it was probably a bug in redhat-config-network and to file a bug report
   
Actual results:


Expected results:


Additional info:

Comment 1 Need Real Name 2003-03-27 05:57:58 UTC
Created attachment 90739 [details]
redhat-config-network error dump file

Comment 2 Harald Hoyer 2003-03-27 10:39:33 UTC
you have an ip address in /etc/hosts without a hostname??


Note You need to log in before you can comment on or make changes to this bug.